REM This file was produced by PDLA © 2007 http://pendrivelinux.com
REM This file will start Linux from Windows using Qemu.
@echo OFF
cls
echo.
echo ===========================================================================
echo      Qemu PUD GNU/Linux Launcher
echo ===========================================================================
echo.
echo.
echo This file will launch PUD from your Windows PC using QEMU emulation
echo Please note that PUD will also be launched accelerated with Kqemu.
echo.
echo.
echo WARNING!! This utility is being offered for free with absolutely no warranty
echo in hopes that it will be useful. USE IT AT YOUR OWN RISK!
echo.
echo.
pause
cls

if exist c:\windows\system32\drivers\kqemu.sys ( 
goto launch) else (
echo.
echo STAGE 1: Checking for and installing accelerated driver . . .
echo Vista users need to allow permissions to install Kqemu if asked
goto kqemu) 
cls

:kqemu 
.\qemu\kqemu.exe
echo.
echo STAGE 2: The Kqemu accelerator has been offered for installation

:launch
echo. 
echo LINUX IS NOW RUNNING, Do not close this windows while Linux is running!
echo Close only once Linux has shutdown (after the prompt to eject CD)

.\qemu\qemu -L .\qemu -kernel-kqemu -std-vga -localtime -soundhw all -m 256 -cdrom *.iso -hda .\qemu\casper.img -boot d
